POST
Use dark colors for code blocksCopy
1
/{orgId}/admin/{itemId}/upgrade
Upgrades a Workflow Manager item

Upgrade an outdated Workflow Manager item. Workflow item upgrades can only be performed by the item owner with the Workflow Manager Advanced Administrator privilege or the Portal Admin Update Content privilege.

Body:

ParameterDescriptionData Type
asyncOptional. It is set to false by default. If set to true, the workflow item is upgraded asynchronously and returns itemId and status. The item upgrade status can be checked on the getWorkflowItemCreationStatus endpoint. This parameter was introduced at ArcGIS Enterprise 12.0.Boolean

Query parameters

NameTypeRequired
tokenstring¦null

Body parameters

Supported content types: application/json

Type: CreateWorkflowItemParameters

NameTypeRequired
asyncboolean

Path parameters

NameTypeRequired
orgIdstring
itemIdstring

Response status

StatusMeaningDescriptionSchema
200OK

The item upgrade status of the item being upgraded

CreateItemResponse
400Bad Request

error

WorkflowJsonExceptionDTO

Examples

Request

Use dark colors for code blocksCopy
1
2
3
4
5
# You can also use wget
curl -X POST '/{orgId}/admin/{itemId}/upgrade' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer <YOUR_TOKEN>' \
  --data '{"async":true}'

Response

Use dark colors for code blocksCopy
1
2
3
4
5
6
7
8
9
10
11
12
{
  "success": true,
  "itemId": "string",
  "status": "Executing",
  "error": {
    "message": "string",
    "name": "UnableToDetermineHostingServer",
    "details": [
      "string"
    ]
  }
}

Your browser is no longer supported. Please upgrade your browser for the best experience. See our browser deprecation post for more details.